<?php

    namespace FederationLib\Exceptions\Standard;

    use Exception;
    use Throwable;

    class UnsupportedPeerType extends Exception
    {
        /**
         * UnsupportedPeerType constructor.
         *
         * @param string $peer_type
         * @param Throwable|null $previous
         */
        public function __construct(string $peer_type, ?Throwable $previous = null)
        {
            parent::__construct("The peer type '{$peer_type}' is not supported by this server", 0, $previous);
        }
    }